PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType Struct Reference

Return same value in all points. More...

`#include <plask/provider/providerfor.hpp>`

Inheritance diagram for plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType:
[legend]
Collaboration diagram for plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType:
[legend]

## Public Types
typedef ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ProvidedType | ProvidedType
Public Types inherited from plask::ProviderFor< PropertyT, SpaceT >
typedef PropertyT | PropertyTag
typedef SpaceT | SpaceType

## Public Member Functions
| ConstProviderType (const ValueType &value)
| Constructor with single value.
| ConstProviderType (ValueType &&value)
| Constructor with single value.
| ConstProviderType (const std::initializer_list< ValueType > &values)
| Constructor with multiple values.
template<typename Iterator >
| ConstProviderType (const Iterator &begin, const Iterator &end)
| Construct values from iterator.
ProvidedType | operator() (EnumType num, shared_ptr< const MeshD< SpaceT::DIM > > dst_mesh, _ExtraParams..., InterpolationMethod) const override
size_t | size () const override
Public Member Functions inherited from plask::ProviderFor< PropertyT, SpaceT >
| ProviderFor (Args &&... params)
| Delegate all constructors to parent class.

## Public Attributes
std::vector< ValueType > | values
| Provided value.

## Detailed Description

template<typename PropertyT, typename SpaceT, typename... _ExtraParams>
struct plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType

Return same value in all points.

Used by receivers as const value provider, see Receiver::setConstValue

It ignores extra parameters.

Definition at line 1618 of file providerfor.hpp.

## Member Typedef Documentation

## ◆ ProvidedType

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

typedef ProviderImpl<PropertyT,MULTI_FIELD_PROPERTY,SpaceT,VariadicTemplateTypesHolder<_ExtraParams...>>::ProvidedType plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::ProvidedType

Definition at line 1620 of file providerfor.hpp.

## Constructor & Destructor Documentation

## ◆ ConstProviderType() [1/4]

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::ConstProviderType | ( | const ValueType & | value | ) |
| inline

Constructor with single value.

Parameters

  value | ValueT desired value

Definition at line 1636 of file providerfor.hpp.

## ◆ ConstProviderType() [2/4]

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::ConstProviderType | ( | ValueType && | value | ) |
| inline

Constructor with single value.

Parameters

  value | ValueT desired value

Definition at line 1642 of file providerfor.hpp.

## ◆ ConstProviderType() [3/4]

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::ConstProviderType | ( | const std::initializer_list< ValueType > & | values | ) |
| inline

Constructor with multiple values.

Parameters

  values | required values

Definition at line 1648 of file providerfor.hpp.

## ◆ ConstProviderType() [4/4]

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>
template<typename Iterator >

plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::ConstProviderType | ( | const Iterator & | begin,
|  | const Iterator & | end
| ) |  |
| inline explicit

Construct values from iterator.

Parameters

  begin,end | iterator range

Definition at line 1655 of file providerfor.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

ProvidedType plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::operator() | ( | EnumType | num,
|  | shared_ptr< const MeshD< SpaceT::DIM > > | dst_mesh,
|  | _ExtraParams... | ,
|  | InterpolationMethod |
| ) |  | const
| inline override

Returns
  copy of value for each point in dst_mesh, ignore interpolation method

Definition at line 1660 of file providerfor.hpp.

## ◆ size()

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

size_t plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::size | ( |  | ) | const
| inline override

Definition at line 1665 of file providerfor.hpp.

## Member Data Documentation

## ◆ values

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>

std::vector<ValueType> plask::ProviderImpl< PropertyT, MULTI_FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ConstProviderType::values

Provided value.

Definition at line 1623 of file providerfor.hpp.

The documentation for this struct was generated from the following file:

- plask/provider/providerfor.hpp